Get a dedicated server

GET/v1/hosts/dedicated_servers/{server_id}

To show details about a server, execute a GET request to /v1/hosts/dedicated_servers/{server_id}. This operation requires a server ID to be mentioned as the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of a server.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/hosts/dedicated_servers/4oeEva0B"
{  "id": "4oeEva0B",  "rack_id": "46dBXa79",  "title": "title16",  "location_id": 15,  "location_code": "location29",  "status": "active",  "operational_status": "normal",  "power_status": "powered_on",  "configuration": "REMM R123",  "private_ipv4_address": "10.0.0.16",  "public_ipv4_address": "169.254.0.16",  "lease_start_at": "2026-05-25",  "scheduled_release_at": null,  "type": "dedicated_server",  "oob_ipv4_address": "198.29.114.3",  "configuration_details": {    "ram_size": 0,    "server_model_id": null,    "server_model_name": null,    "bandwidth_id": null,    "bandwidth_name": null,    "private_uplink_id": null,    "private_uplink_name": null,    "public_uplink_id": null,    "public_uplink_name": null,    "operating_system_id": null,    "operating_system_full_name": null  },  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "ipxe_config": null,  "userdata_sha256": null,  "created_at": "2026-05-28T06:55:00Z",  "updated_at": "2026-05-28T06:54:59Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}